GCXONEDocumentatie

Account

Op deze pagina
  1. POST /account/
  2. Request body
  3. Responses
  4. GET /account/accountByName
  5. Parameters
  6. Responsen
  7. POST /account/bulkUpdateActiveInactive
  8. Verzoek body
  9. Responsen
  10. POST /account/filter
  11. Verzoek body
  12. Responsen
  13. POST /account/listByAccountId
  14. Verzoekbody
  15. Responsen
  16. GET /account/{id}
  17. Parameters
  18. Responsen
  19. PUT /account/{id}
  20. Parameters
  21. Verzoek body
  22. Responses
  23. DELETE /account/{id}
  24. Parameters
  25. Responsen
  26. GET /account/{parentAccountId}/customer
  27. Parameters
  28. Responsen
  29. GET /account/{parentAccountId}/sites/information
  30. Parameters
  31. Responsen
  32. GET /account/{parentAccountId}/users
  33. Parameters
  34. Responsen

Operaties op account‑resources. 11 eindpunten, elk relatief ten opzichte van https://api.nxgen.cloud/api/v1 en geauthenticeerd zoals beschreven onder Authentication.

POST /account/

MAAK NIEUW accounts

Request body

Account toevoegen

json
{
  "payload": {
    "id": "string",
    "name": "string (required)",
    "email": "string (required)",
    "firstName": "string",
    "lastName": "string",
    "isActive": "boolean",
    "profileVisible": "boolean",
    "countryCode": "string",
    "phoneNumber": "string",
    "houseBuildingNumber": "string",
    "streetName": "string",
    "city": "string",
    "state": "string",
    "country": "string",
    "code": "string",
    "logo": "string",
    "latitude": "string",
    "longitude": "string",
    "plusCode": "string",
    "what3Words": "string",
    "business": [
      "string"
    ],
    "tags": [
      "string"
    ],
    "photos": [
      "string"
    ],
    "devImage": "string",
    "followers": [
      "string"
    ],
    "accountType": [
      "Customer"
    ],
    "websiteUrl": "string",
    "jsonSchema": "object",
    "parentJsonSchemaResult": "object",
    "parentAccountId": "string",
    "parent": "string",
    "serviceProvidersEventProviderId": "string",
    "roles": [
      "string"
    ],
    "geoCordinates": "object"
  }
}

Responses

Status

Beschrijving

Body

200

Succes

204

Geen inhoud

400

Ongeldige invoer

401

Niet toegestaan

403

Verboden

GET /account/accountByName

Account op naam ophalen

Parameters

Naam

In

Type

Verplicht

Beschrijving

naam

query

string

ja

Responsen

Status

Beschrijving

Body

200

Succes

204

Geen inhoud

400

Ongeldige invoer

401

Niet toegestaan

403

Verboden

POST /account/bulkUpdateActiveInactive

bulk bijwerken van sps op basis van bovenliggend account‑ID

Verzoek body

SP's bijwerken

json
{
  "parentAccountId": "string"
}

Responsen

Status

Beschrijving

Body

200

Succes

object

204

Geen inhoud

400

Ongeldige invoer

401

Niet toegestaan

403

Verboden

Voorbeeld 200 respons:

json
{
  "data": [
    {
      "key": "7f01237864567eba89736f825",
      "label": "customer",
      "serviceProviderName": "sp"
    }
  ]
}

POST /account/filter

Haalt de accountlijst op met filteren, sorteren en paginering. Het maakt zoeken op hiërarchisch niveau mogelijk. Het kan worden gefilterd met een opgegeven hiërarchie of gebruikt de hiërarchie van de aangemelde gebruiker. Dit biedt de mogelijkheid om extra entiteitsvelden in de respons op te nemen. Biedt tevens configuratiemetagegevens over de entiteit.

Verzoek body

Accountfiltering en -sortering

json
{
  "filters": [
    {
      "columnName": "string (required)",
      "type": "distinctList | date | number | StringConditionFilter (required)",
      "filter": "object (required)"
    }
  ],
  "sortOrder": [
    {
      "columnName": "string",
      "isAscending": "boolean"
    }
  ],
  "primaryColumns": [
    "string"
  ],
  "hierarchyLevel": "string",
  "hierarchyId": "string",
  "nPerPage": "number",
  "pageNumber": "number",
  "isConfigDetailRequired": "boolean",
  "getConfig": "boolean",
  "getChildOrParent": "boolean"
}

Responsen

Status

Beschrijving

Body

200

Succes

object

204

Geen inhoud

400

Ongeldige invoer

401

Niet toegestaan

403

Verboden

Voorbeeld 200 respons:

json
{
  "config": {
    "columns": [
      {
        "visibility": true,
        "columnName": "commercialName",
        "DisplayName": "Account",
        "isFilterable": true,
        "filterType": "stringCondition",
        "sticky": true,
        "isRightBorder": true,
        "isMandatory": true,
        "isNotDraggable": true
      }
    ],
    "defaultNPerPage": 50,
    "defaultFilterCondition": [],
    "defaultSortingOrder": [
      {
        "columnName": "dateTime",
        "isAscending": false
      }
    ],
    "maxVisibleColumnCount": 6,
    "exportLimitNPerPage": 500
  },
  "dataResult": [
    {
      "name": "app",
      "email": "app@test.com",
      "isActive": "true",
      "phoneNumber": "",
      "streetName": "",
      "city": "",
      "code": "",
      "uniqueId": "da7cf69b4c714f80d8466c714f683a8173cdb",
      "parentAccountId": "acf9b10a2c714f683a8173cdb7f417cf4a4"
    },
    {
      "name": "Customer",
      "email": "customer@test.com",
      "isActive": "true",
      "phoneNumber": "",
      "streetName": "",
      "city": "",
      "code": "",
      "uniqueId": "c714f683a8173cdb58acf9b10a7cf69b",
      "parentAccountId": "acf9b10a2c714f683a8173cdb7f417cf4a4"
    }
  ],
  "totalRecordsCount": 3552,
  "filteredBy": [],
  "sortedBy": [
    {
      "columnName": "dateTime",
      "isAscending": false
    }
  ],
  "dispatchedAll": false,
  "isDefaultProjectionMutated": false,
  "isDefaultFilterMutated": false,
  "isDefaultSortingMutated": false
}

POST /account/listByAccountId

Klanten ophalen op bovenliggend account-id

Verzoekbody

Klanten ophalen

json
{
  "parentAccountId": "string"
}

Responsen

Status

Beschrijving

Body

200

Succes

object

204

Geen inhoud

400

Ongeldige invoer

401

Niet toegestaan

403

Verboden

Voorbeeld 200 respons:

json
{
  "data": [
    {
      "key": "7f01237864567eba89736f825",
      "label": "customer",
      "serviceProviderName": "sp"
    }
  ]
}

GET /account/{id}

Account ophalen op Id

Parameters

Naam

In

Type

Required

Description

id

pad

string

ja

Responsen

Status

Beschrijving

Inhoud

200

Succes

204

Geen inhoud

400

Ongeldige invoer

401

Niet toegestaan

403

Verboden

PUT /account/{id}

Werk een bestaande account bij

Parameters

Naam

In

Type

Vereist

Beschrijving

id

path

string

ja

Verzoek body

Om een account toe te voegen of bij te werken, geef de bestaande Id op.

json
{
  "payload": {
    "id": "string",
    "uniqueId": "string",
    "parent": "string",
    "parentAccountId": "string",
    "email": "string (required)",
    "isActive": "boolean",
    "persona": {
      "address": {
        "houseBuildingNumber": "string",
        "streetName": "string",
        "city": "string",
        "state": "string",
        "code": "string",
        "country": "string"
      },
      "contact": {
        "countryCode": "string",
        "phoneNumber": "string"
      },
      "profile": {
        "logo": "string",
        "business": [
          ""
        ],
        "photos": [
          ""
        ],
        "tags": [
          ""
        ],
        "followers": [
          ""
        ],
        "s3ImagePath": "string"
      }
    },
    "accountType": [
      "Customer"
    ],
    "name": "string (required)",
    "profileVisible": "boolean",
    "syncStatus": "boolean",
    "jsonSchema": "object",
    "geoCordinates": "object",
    "serviceProvidersEventProviderId": "string"
  }
}

Responses

Status

Description

Body

200

Succes

204

Geen inhoud

400

Ongeldige invoer

401

Niet toegestaan

403

Verboden

DELETE /account/{id}

Verwijder een account op Id

Parameters

Naam

In

Type

Verplicht

Beschrijving

id

path

string

ja

Responsen

Status

Beschrijving

Body

200

Succes

204

Geen inhoud

400

Ongeldige invoer

401

Niet toegestaan

403

Verboden

GET /account/{parentAccountId}/customer

Haal lijst van klanten op via bovenliggend id (Customer Id)

Parameters

Naam

In

Type

Verplicht

Beschrijving

parentAccountId

path

string

ja

Responsen

Status

Beschrijving

Body

200

Succes

204

Geen inhoud

401

Niet toegestaan

403

Verboden

404

Niet gevonden

GET /account/{parentAccountId}/sites/information

Lijst met sites opvragen op ouder‑ID (Klant ID)

Parameters

Naam

In

Type

Verplicht

Beschrijving

parentAccountId

path

string

ja

Responsen

Status

Beschrijving

Body

200

Succes

204

Geen inhoud

401

Niet toegestaan

403

Verboden

404

Niet gevonden

GET /account/{parentAccountId}/users

Lijst met gebruikers opvragen op basis van ouder‑ID (Klant ID)

Parameters

Naam

In

Type

Verplicht

Beschrijving

parentAccountId

pad

string

ja

Responsen

Status

Beschrijving

Body

200

Succes

204

Geen inhoud

401 – Niet geautoriseerd

Niet toegestaan

403

Verboden

404

Niet gevonden

Was deze pagina nuttig?

Bedankt — uw feedback gaat naar het team dat deze pagina beheert.